Contenu | Rechercher | Menus

Annonce

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 19/01/2019, à 20:02

azrael_79

[Résolu] snes9x-gtk 1.58

Bonjour à toutes et tous,

Quelqu'un pourrait-il m'aider à installer la dernière version de snes9x-gtk (1.58) disponible sur cette page : https://github.com/snes9xgit/snes9x/releases

j'ai téléchargé le fichier snes9x-1.58.tar.bz2, puis décompressé son contenu sur le disque. J'ai ensuite essayé de rendre exécutable le fichier  install-sh du dossier "gtk" via la commande chmod +x, puis essayé de lancer ce fichier via la commande sudo ./ comme expliqué ici : https://doc.ubuntu-fr.org/installation_ … e_logiciel   j'ai eu le retour suivant : "no input file specified"

La méthode n'est pas bonne ? Comment puis-je installer snes9x-gtk version 1.58 ?

Merci !

Dernière modification par azrael_79 (Le 24/01/2019, à 13:08)

Hors ligne

#2 Le 20/01/2019, à 18:40

azrael_79

Re : [Résolu] snes9x-gtk 1.58

Me permet de remonter le sujet, précisant que je suis sous xubuntu 18.04...

Merci !

Hors ligne

#3 Le 21/01/2019, à 21:02

azrael_79

Re : [Résolu] snes9x-gtk 1.58

J'insiste, j'insiste... Merci !

Hors ligne

#4 Le 22/01/2019, à 03:44

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

salut,

snes9x-1.58.tar.bz2

tu as surement téléchargé la mauvaise archive.

Le lien "Source code(tar.gz)" correspond a l'archive snes9x-1.58.tar.gz

Hors ligne

#5 Le 22/01/2019, à 11:34

azrael_79

Re : [Résolu] snes9x-gtk 1.58

Salut et merci pour ta réponse !

Du coup, j'ai téléchargé l'autre archive qui contient de nombreux dossiers et sous-dossiers. Mais que dois-je en faire ? Faut-il compiler le programme (et si oui, comment ?) Rendre un fichier exécutable ? Toute aide est bienvenue...

Merci !

Hors ligne

#6 Le 22/01/2019, à 12:41

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

Il n'y as pas de install.sh et le README du github n'aide pas.

Il y a surement quelqu'un de plus compétent sur le forum,
cependant voici ce que je te propose:

Ton logiciel utilise le language de prog c++.
En partant du principe ou tu as make,g++,gcc,etc déjà installé.

1 - Décompresse l'archive:

tar -xvf snes9x-1.58.tar.gz

2 - va dans le dossier gtk:

cd snes9x-1.58/gtk

3 - génére les fichiers sources:

./autogen.sh

4 - dis lui quoi configurer:

./configure

5 - "make"

make

! à ce moment il te dira si il te manque des paquets,exemple:
"configure: error: Package requirements ("gtk+-3.0 >= 3.22") were not met:

No package 'gtk+-3.0' found"

6 - "make install"

make install

7 - test le logiciel

Hors ligne

#7 Le 22/01/2019, à 15:36

azrael_79

Re : [Résolu] snes9x-gtk 1.58

Merci pour tes explications. J'ai suivi les étapes mais suis resté bloqué à "configure: error: Package requirements ("gtk+-3.0 >= 3.22") were not met:"

J'ai essayé d'installer ce paquet mais rien ne se passe... Du coup, quand je lance make, j'ai "make: *** Pas de cible spécifiée et aucun makefile n'a été trouvé. Arrêt."

Hors ligne

#8 Le 22/01/2019, à 20:28

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

"gtk+-3.0 >= 3.22"

= Version 3.22 minimum
Pour savoir quelle version tu as,tu peux utiliser:

dpkg-query -l libgtk-3-0

Hors ligne

#9 Le 22/01/2019, à 22:25

azrael_79

Re : [Résolu] snes9x-gtk 1.58

Merci de ton aide !

Ne sachant plus où j'en suis, j'efface les fichiers et je recommence !

./autogen.sh

renvoi

Copying file ABOUT-NLS
Copying file config.rpath
Copying file macros/codeset.m4
Copying file macros/extern-inline.m4
Copying file macros/fcntl-o.m4
Copying file macros/gettext.m4
Copying file macros/glibc2.m4
Copying file macros/glibc21.m4
Copying file macros/iconv.m4
Copying file macros/intdiv0.m4
Copying file macros/intl.m4
Copying file macros/intldir.m4
Copying file macros/intlmacosx.m4
Copying file macros/intmax.m4
Copying file macros/inttypes-pri.m4
Copying file macros/inttypes_h.m4
Copying file macros/lcmessage.m4
Copying file macros/lib-ld.m4
Copying file macros/lib-link.m4
Copying file macros/lib-prefix.m4
Copying file macros/lock.m4
Copying file macros/longlong.m4
Copying file macros/nls.m4
Copying file macros/po.m4
Copying file macros/printf-posix.m4
Copying file macros/progtest.m4
Copying file macros/size_max.m4
Copying file macros/stdint_h.m4
Copying file macros/threadlib.m4
Copying file macros/uintmax_t.m4
Copying file macros/visibility.m4
Copying file macros/wchar_t.m4
Copying file macros/wint_t.m4
Copying file macros/xsize.m4
Copying file po/Makefile.in.in
Copying file po/Makevars.template
Copying file po/Rules-quot
Copying file po/boldquot.sed
Copying file po/en@boldquot.header
Copying file po/en@quot.header
Copying file po/insert-header.sin
Copying file po/quot.sed
Copying file po/remove-potcdate.sin
configure.ac:200: error: possibly undefined macro: AC_CHECK_PROG
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.ac:300: error: possibly undefined macro: AC_MSG_WARN
configure.ac:302: error: possibly undefined macro: AC_MSG_ERROR
autoreconf: /usr/bin/autoconf failed with exit status: 1

Ensuite,

./configure

renvoi

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ ./configure
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
configure: error: cannot find install-sh, install.sh, or shtool in "." "./.." "./../.."
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ 

enfin,

make

renvoi

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ make
make: *** Pas de cible spécifiée et aucun makefile n'a été trouvé. Arrêt.
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ 

Je suis donc bloqué sur cette étape... Aurais-tu des idées ?

Merci !

Dernière modification par azrael_79 (Le 22/01/2019, à 22:25)

Hors ligne

#10 Le 22/01/2019, à 23:13

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

Je n'avais pas vu le dossier "unix",donc va plutot dans "snes9x-1.58/unix" puis:

./configure
make
make install

Hors ligne

#11 Le 23/01/2019, à 01:00

azrael_79

Re : [Résolu] snes9x-gtk 1.58

Dans le dossier UNIX, cela donne :

./configure

renvoi

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ ./configure
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl.exe... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no
checking whether we are using the GNU C++ compiler... no
checking whether g++ accepts -g... no
checking whether g++ accepts -O3... no
checking whether g++ accepts -O2... no
checking whether g++ accepts -O1... no
checking whether g++ accepts -fomit-frame-pointer... no
checking whether g++ accepts -fno-exceptions... no
checking whether g++ accepts -fno-rtti... no
checking whether g++ accepts -pedantic... no
checking whether g++ accepts -Wall... no
checking whether g++ accepts -W... no
checking whether g++ accepts -Wno-unused-parameter... no
checking whether the OS is Linux... yes
checking how to run the C++ preprocessor... /lib/cpp
configure: error: in `/home/sony/Téléchargements/snes9x-1.58/unix':
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ 

La commande make :

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ make
make: *** Pas de cible spécifiée et aucun makefile n'a été trouvé. Arrêt.
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ 

Merci du temps que tu consacres à mon problème !

Hors ligne

#12 Le 23/01/2019, à 01:17

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

J'arrive à compiler,tu devrais aussi.Il doit te manquer un paquet nécessaire à la compilation.
Donne le retour de:

dpkg-query -l g++ gcc make build-essential

Hors ligne

#13 Le 23/01/2019, à 01:20

azrael_79

Re : [Résolu] snes9x-gtk 1.58

voilà :

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ dpkg-query -l g++ gcc make build-essential
Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom            Version      Architecture Description
+++-==============-============-============-=================================
ii  gcc            4:7.3.0-3ubu amd64        GNU C compiler
ii  make           4.1-9.1ubunt amd64        utility for directing compilation
dpkg-query: aucun paquet ne correspond à g++
dpkg-query: aucun paquet ne correspond à build-essential
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ 

Hors ligne

#14 Le 23/01/2019, à 01:34

azrael_79

Re : [Résolu] snes9x-gtk 1.58

je viens d'installer les 2 paquets qui semblent manquer : g++ et build-essential

j'ai relancé

./configure

qui renvoi

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ ./configure
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking whether g++ accepts -O3... yes
checking whether g++ accepts -fomit-frame-pointer... yes
checking whether g++ accepts -fno-exceptions... yes
checking whether g++ accepts -fno-rtti... yes
checking whether g++ accepts -pedantic... yes
checking whether g++ accepts -Wall... yes
checking whether g++ accepts -W... yes
checking whether g++ accepts -Wno-unused-parameter... yes
checking whether the OS is Linux... yes
checking how to run the C++ preprocessor... g++ -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking zlib.h usability... no
checking zlib.h presence... no
checking for zlib.h... no
configure: WARNING: zlib not found. Build without GZIP support.
checking for pkg-config... no
checking for SYSTEM_ZIP... no
configure: WARNING: minizip not found. Build without SYSTEM_ZIP support.
checking png.h usability... no
checking png.h presence... no
checking for png.h... no
configure: WARNING: libpng not found. Build without screenshot support.
checking for mkstemp... yes
checking for X... no
configure: error: X11 is required.
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$

X11 semble manquant ? Quezako ? quand je relance make, ça ne marche toujours pas...

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ make
make: *** Pas de cible spécifiée et aucun makefile n'a été trouvé. Arrêt.
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ make install

Hors ligne

#15 Le 23/01/2019, à 01:50

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

https://github.com/snes9xgit/snes9x/issues/441

L'auteur du git confirme que ma 1ère approche était la bonne.
Donc reprends les étapes en message #6

install d'abord:

apt-get install automake autoconf libtool libx11-dev

Bonne nuit.

Dernière modification par punk7as7fck (Le 23/01/2019, à 02:19)

Hors ligne

#16 Le 23/01/2019, à 16:17

azrael_79

Re : [Résolu] snes9x-gtk 1.58

Merci pour ton temps !

J'ai donc repris les étapes du message 6. Dans le dossier GTK, je suis bloqué à la première commande :

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ ./autogen.sh
configure.ac:200: error: possibly undefined macro: AC_CHECK_PROG
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.ac:300: error: possibly undefined macro: AC_MSG_WARN
configure.ac:302: error: possibly undefined macro: AC_MSG_ERROR
autoreconf: /usr/bin/autoconf failed with exit status: 1
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ 

configure renvoi :

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ ./configure
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
configure: error: cannot find install-sh, install.sh, or shtool in "." "./.." "./../.."
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ 

il semble manquer le fichier install-sh

j'ai donc cherché s'il y avait un fichier de type "install-sh" dans snes9x-gtk; il y en a un dans UNIX.

J'ai lancé

./configure

à partir du dossier UNIX et obtenu

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ ./configure
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking whether g++ accepts -O3... yes
checking whether g++ accepts -fomit-frame-pointer... yes
checking whether g++ accepts -fno-exceptions... yes
checking whether g++ accepts -fno-rtti... yes
checking whether g++ accepts -pedantic... yes
checking whether g++ accepts -Wall... yes
checking whether g++ accepts -W... yes
checking whether g++ accepts -Wno-unused-parameter... yes
checking whether the OS is Linux... yes
checking how to run the C++ preprocessor... g++ -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking zlib.h usability... no
checking zlib.h presence... no
checking for zlib.h... no
configure: WARNING: zlib not found. Build without GZIP support.
checking for pkg-config... no
checking for SYSTEM_ZIP... no
configure: WARNING: minizip not found. Build without SYSTEM_ZIP support.
checking png.h usability... no
checking png.h presence... no
checking for png.h... no
configure: WARNING: libpng not found. Build without screenshot support.
checking for mkstemp... yes
checking for X... libraries , headers 
checking for gethostbyname... yes
checking for connect... yes
checking for remove... yes
checking for shmat... yes
checking for IceConnectionNumber in -lICE... no
checking for strings.h... (cached) yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking whether right shift int8 is arithmetic... yes
checking whether right shift int16 is arithmetic... yes
checking whether right shift int32 is arithmetic... yes
checking whether right shift int64 is arithmetic... yes
checking X11/extensions/Xv.h usability... yes
checking X11/extensions/Xv.h presence... yes
checking for X11/extensions/Xv.h... yes
checking X11/extensions/Xinerama.h usability... no
checking X11/extensions/Xinerama.h presence... no
checking for X11/extensions/Xinerama.h... no
checking whether sound is supported on this platform... yes
checking pthread.h usability... yes
checking pthread.h presence... yes
checking for pthread.h... yes

build information:
cc...............,,,. gcc
c++.................. g++
options.............. -O3 -fomit-frame-pointer -fno-exceptions -fno-rtti -pedantic -Wall -W -Wno-unused-parameter -g -O2 
defines.............. -DJOYSTICK_SUPPORT -DJMA_SUPPORT -DHAVE_MKSTEMP -DHAVE_STRINGS_H -DHAVE_SYS_IOCTL_H -DHAVE_STDINT_H -DRIGHTSHIFT_IS_SAR -DUSE_XVIDEO -DUSE_THREADS -DGFX_MULTI_FORMAT
libs................. -lX11 -lXext -lXv -lpthread

features:
Xvideo support....... yes
Xinerama support..... no
sound support........ yes
screenshot support... no
netplay support...... no
gamepad support...... yes
GZIP support......... no
ZIP support.......... yes
SYSTEM_ZIP........... check
JMA support.......... yes
debugger............. no

configure: creating ./config.status
config.status: creating Makefile
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$

ensuite, make :

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ make
g++ -I. -I.. -I../apu/ -I../apu/bapu -I../jma/ -I../filter/ -c -O3 -fomit-frame-pointer -fno-exceptions -fno-rtti -pedantic -Wall -W -Wno-unused-parameter -g -O2  -DJOYSTICK_SUPPORT -DJMA_SUPPORT -DHAVE_MKSTEMP -DHAVE_STRINGS_H -DHAVE_SYS_IOCTL_H -DHAVE_STDINT_H -DRIGHTSHIFT_IS_SAR -DUSE_XVIDEO -DUSE_THREADS -DGFX_MULTI_FORMAT -DMITSHM x11.cpp -o x11.o
x11.cpp:26:10: fatal error: X11/extensions/Xvlib.h: Aucun fichier ou dossier de ce type
 #include <X11/extensions/Xvlib.h>
          ^~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.
Makefile:77: recipe for target 'x11.o' failed
make: *** [x11.o] Error 1
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/unix$ 

Encore bloqué....

Hors ligne

#17 Le 23/01/2019, à 16:54

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

1 - Est-ce que tu as installé les paquets?

sudo apt-get install automake autoconf libtool libx11-dev

2 - Part sur une base propre,supprime le dossier extrait:

rm -r  ~/Téléchargements/snes9x-1.58/

3- Donne le retour de toutes les commandes postés en #6 , jusqu'à make

Hors ligne

#18 Le 23/01/2019, à 17:25

azrael_79

Re : [Résolu] snes9x-gtk 1.58

Les paquets semblent bien installés :

sony@sony-VGN-SR31M-S:~$ sudo apt-get install automake autoconf libtool libx11-dev
[sudo] Mot de passe de sony : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
autoconf est déjà la version la plus récente (2.69-11).
automake est déjà la version la plus récente (1:1.15.1-3ubuntu2).
libtool est déjà la version la plus récente (2.4.6-2).
libx11-dev est déjà la version la plus récente (2:1.6.4-3ubuntu0.1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 10 non mis à jour.
sony@sony-VGN-SR31M-S:~$ 

J'ai supprimé l'archive et les fichiers, puis recommencé. Voici les résultats avec les commandes du message 6 :

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ ./autogen.sh
Copying file ABOUT-NLS
Copying file config.rpath
Copying file macros/codeset.m4
Copying file macros/extern-inline.m4
Copying file macros/fcntl-o.m4
Copying file macros/gettext.m4
Copying file macros/glibc2.m4
Copying file macros/glibc21.m4
Copying file macros/iconv.m4
Copying file macros/intdiv0.m4
Copying file macros/intl.m4
Copying file macros/intldir.m4
Copying file macros/intlmacosx.m4
Copying file macros/intmax.m4
Copying file macros/inttypes-pri.m4
Copying file macros/inttypes_h.m4
Copying file macros/lcmessage.m4
Copying file macros/lib-ld.m4
Copying file macros/lib-link.m4
Copying file macros/lib-prefix.m4
Copying file macros/lock.m4
Copying file macros/longlong.m4
Copying file macros/nls.m4
Copying file macros/po.m4
Copying file macros/printf-posix.m4
Copying file macros/progtest.m4
Copying file macros/size_max.m4
Copying file macros/stdint_h.m4
Copying file macros/threadlib.m4
Copying file macros/uintmax_t.m4
Copying file macros/visibility.m4
Copying file macros/wchar_t.m4
Copying file macros/wint_t.m4
Copying file macros/xsize.m4
Copying file po/Makefile.in.in
Copying file po/Makevars.template
Copying file po/Rules-quot
Copying file po/boldquot.sed
Copying file po/en@boldquot.header
Copying file po/en@quot.header
Copying file po/insert-header.sin
Copying file po/quot.sed
Copying file po/remove-potcdate.sin
configure.ac:200: error: possibly undefined macro: AC_CHECK_PROG
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.ac:300: error: possibly undefined macro: AC_MSG_WARN
configure.ac:302: error: possibly undefined macro: AC_MSG_ERROR
autoreconf: /usr/bin/autoconf failed with exit status: 1
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ 

puis

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ ./configure
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
configure: error: cannot find install-sh, install.sh, or shtool in "." "./.." "./../.."
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ 

et enfin

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ make
make: *** Pas de cible spécifiée et aucun makefile n'a été trouvé. Arrêt.
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ 

Hors ligne

#19 Le 23/01/2019, à 18:16

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

on dirait qu'Il t'en manque encore

please use m4_pattern_allow

sudo apt-get install m4 pkg-config

Hors ligne

#20 Le 23/01/2019, à 18:38

azrael_79

Re : [Résolu] snes9x-gtk 1.58

Effectivement, je viens d'installer ce paquet... Ensuite, il semblait manquer gtk, que j'ai pu installer. Maintenant, il semblerait manquer SDL2

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ ./configure
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for ranlib... ranlib
checking whether g++ supports C++11 features by default... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking whether make supports nested variables... yes
checking dependency style of gcc... gcc3
checking dependency style of g++... gcc3
checking whether make supports nested variables... (cached) yes
checking for a sed that does not truncate output... /bin/sed
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking how to run the C++ preprocessor... g++ -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GTK... yes
checking for GLIB... yes
checking for XRANDR... yes
checking for EPOXY... yes
checking for WAYLAND_EGL... yes
checking for SDL... no
checking for sdl2-config... no
Cannot find SDL2.
sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$

mais comment l'installer ?

Hors ligne

#21 Le 23/01/2019, à 20:03

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

essaye

sudo apt-get install libsdl-image1.2-dev

Hors ligne

#22 Le 23/01/2019, à 22:11

azrael_79

Re : [Résolu] snes9x-gtk 1.58

Des éléments s'installent mais j'ai toujours ce problème de SDL2 en passant la commande ./configure :

sony@sony-VGN-SR31M-S:~/Téléchargements/snes9x-1.58/gtk$ ./configure
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for ranlib... ranlib
checking whether g++ supports C++11 features by default... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking whether make supports nested variables... yes
checking dependency style of gcc... gcc3
checking dependency style of g++... gcc3
checking whether make supports nested variables... (cached) yes
checking for a sed that does not truncate output... /bin/sed
checking whether NLS is requested... yes
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking how to run the C++ preprocessor... g++ -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GTK... yes
checking for GLIB... yes
checking for XRANDR... yes
checking for EPOXY... yes
checking for WAYLAND_EGL... yes
checking for SDL... no
checking for sdl2-config... no
Cannot find SDL2.

Hors ligne

#23 Le 24/01/2019, à 00:22

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

sudo apt-get install libsdl2-dev

Est-ce que " ./autogen.sh " s'est deroulé sans erreur?

Hors ligne

#24 Le 24/01/2019, à 13:08

azrael_79

Re : [Résolu] snes9x-gtk 1.58

J'ai passé

sudo apt-get install libsdl2-dev

, refais un

./autogen.sh

puis

./configure

, ensuite

./make

et enfin

./sudo make install

et.... Miracle, ça marche ! snes9x-gtk 1.58 testé, pour l'instant, tout semble fonctionner au mieux...

Suis vraiment content, grand merci à toi !

Il faudrait peut-être que je fasse un post complet avec toutes les étapes nécessaires à l'installation du programme ?!

Merci encore, sujet résolu

Hors ligne

#25 Le 24/01/2019, à 18:46

punk7as7fck

Re : [Résolu] snes9x-gtk 1.58

Super,oui un post complet c'est une bonne idée.
Ça faciliterait l'installation pour les gameurs ubuntu qui veulent la dernière version / garder un systeme sans ppa.

Apparemment on peut rajouter ça dans la doc .

Je compte créer un nouveau sujet pour prendre en compte l'avis des autres.
ici : https://forum.ubuntu-fr.org/viewtopic.php?id=2036053

Dernière modification par punk7as7fck (Le 26/01/2019, à 20:54)

Hors ligne